For the complete documentation index, see llms.txt. This page is also available as Markdown.

Assigns New Status to Invoices

Faturalara toplu olarak yeni durum atar.

put
Authorizations
HTTPRequired

API anahtar� giriniz

Path parameters
operationTypestring · enumRequiredPossible values:
Bodystring · uuid[]
string · uuid[]Optional
Responses
200

Faturalara toplu olarak yeni durum atar

application/json
string[]Optional
put/Invoices/Operation/{operationType}
PUT /earchive/Invoices/Operation/{operationType} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json-patch+json
Accept: */*
Content-Length: 40

[
  "123e4567-e89b-12d3-a456-426614174000"
]
[
  "text"
]
var client = new RestClient("https://apitest.nilvera.com/earchive/Invoices/Operation/Print");
client.Timeout = -1;
var request = new RestRequest(Method.PUT);
request.AddHeader("Authorization", "Bearer <API KEY>");
request.AddHeader("Content-Type", "application/json");
var body = @"["3fa85f64-5717-4562-b3fc-2c963f66afa6"]";
request.AddParameter("application/json", body,  ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
Console.WriteLine(response.Content);
<?php
$curl = curl_init();
curl_setopt_array($curl, array(
  CURLOPT_URL => 'https://apitest.nilvera.com/earchive/Invoices/Operation/Print',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'PUT',
  CURLOPT_POSTFIELDS =>'[
  "3fa85f64-5717-4562-b3fc-2c963f66afa6"
]',
  CURLOPT_HTTPHEADER => array(
    'Authorization: Bearer <API KEY>',
    'Content-Type: application/json'
  ),
));
$response = curl_exec($curl);
curl_close($curl);
echo $response;

Last updated